package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.KeyDataDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;

public interface KeyDataApiService {

    public ServiceResponse<String> saveMobileData(Long linkId, String mobile);

    public ServiceResponse<KeyDataDTO> saveHmData(String unionid, Long linkId, Long hmId);

    public ServiceResponse<String> getDataByKey(String key, KeyDataEnum dataEnum);

    public ServiceResponse<String> getMobile(Long linkId, String key);

}
